as.igraph {igraph} | R Documentation

## Conversion to igraph

### Description

These fucntions convert various objects to igraph graphs.

### Usage

    as.igraph(x, ...)

### Arguments

`x` | The object to convert.
`...` | Additional arguments. None currently.

### Details

You can use `as.igraph` to convert various objects to igraph graphs. Right now the following objects are supported:

- codeigraphHRG These objects are created by the `fit_hrg` and `consensus_tree` functions.

### Value

All these functions return an igraph graph.

### Author(s)

Gabor Csardi csardi.gabor@gmail.com.

### Examples

    g <- make_full_graph(5) + make_full_graph(5)
    hrg <- fit_hrg(g)
    as.igraph(hrg)

[Package igraph version 1.1.2 Index]